Manage orders - Get products by customer
Retrieves all products using country or region and locale information.
GET https://api.partnercenter.microsoft.com/v{version}/customers/{customerId}/products?targetView={targetView}
GET https://api.partnercenter.microsoft.com/v{version}/customers/{customerId}/products?targetView={targetView}&targetSegment={targetSegment}&reservationScope={reservationScope}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
customer
|
path | True |
string (uuid) |
The customer identifier in GUID format. |
|
version
|
path | True |
string |
The API version number. |
|
target
|
query | True |
string |
The catalog view being requested. |
|
reservation
|
query |
string |
The optional reservation scope filter. |
|
|
target
|
query |
string |
The optional segment filter. |
Request Header
| Name | Required | Type | Description |
|---|---|---|---|
| Authorization | True |
string |
Authorization Bearer token |
| ms-correlationid |
string |
Used for tracking requests internally. If a ms-correlationid is not provided, the server will generate a new one for each request |
|
| MS-CV |
string |
Used for tracking requests internally. If a MS-CV is not provided, the server will generate a new one for each request |
|
| ms-requestid |
string |
Used for idempotency of requests. If a ms-requestid is not provided, the server will generate a new one for each request |
|
| Accept | True |
string |
Typically application/json. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
The request was successful. The products are returned in the response body. Media Types: "application/json", "text/json", "application/xml", "text/xml" |
Definitions
| Name | Description |
|---|---|
|
Contracts. |
Additional product type associated with the product. |
|
Contracts. |
The collection of items associated with this resource collection. |
|
Contracts. |
Links to related resources. |
| Link |
Represents a link resource. |
|
Resource |
Represents a resource attributes resource. |
|
Resource |
Represents a resource collection resource. |
|
Resource |
Represents a resource links resource. |
|
String |
Represents a key value pair resource. |
|
System. |
The collection of headers associated with this link. |
Contracts.V1.Models.ItemType
Additional product type associated with the product.
| Name | Type | Description |
|---|---|---|
| displayName |
string |
The display name shown to partners. |
| id |
string |
Unique identifier for the item type. Value is typically a GUID. |
| subType |
Additional sub type associated with the item type. |
Contracts.V1.Models.Product
The collection of items associated with this resource collection.
| Name | Type | Description |
|---|---|---|
| description |
string |
The description of this item. |
| id |
string |
Unique identifier for the product. Value is typically a GUID. |
| isMicrosoftProduct |
boolean |
Whether is microsoft product. |
| links |
Links to related resources. |
|
| localizedAttributes |
System. |
The collection of localized attributes associated with this product. |
| productType |
Additional product type associated with the product. |
|
| publisherName |
string |
The publisher name for the product. |
| title |
string |
The title of this item. |
Contracts.V1.Models.ProductLinks
Links to related resources.
| Name | Type | Description |
|---|---|---|
| next |
Additional next associated with the product links. |
|
| previous |
Additional previous associated with the product links. |
|
| self |
Additional self associated with the product links. |
|
| skus |
Additional skus associated with the product links. |
Link
Represents a link resource.
| Name | Type | Description |
|---|---|---|
| body |
string |
The body for the link. |
| headers |
The collection of headers associated with this link. |
|
| method |
string |
The method for the link. |
| uri |
string |
The URI for the related resource. |
ResourceAttributes
Represents a resource attributes resource.
| Name | Type | Description |
|---|---|---|
| etag |
string |
The entity tag used for concurrency control. |
| objectType |
string |
The object type for the resource attributes. |
ResourceCollection[Contracts.V1.Models.Product]
Represents a resource collection resource.
| Name | Type | Description |
|---|---|---|
| attributes |
Additional attributes associated with the resource collection. |
|
| items |
The collection of items associated with this resource collection. |
|
| links |
Links to related resources. |
|
| totalCount |
integer (int32) |
The total number of items available in the result set. |
ResourceLinks
Represents a resource links resource.
| Name | Type | Description |
|---|---|---|
| next |
Additional next associated with the resource links. |
|
| previous |
Additional previous associated with the resource links. |
|
| self |
Additional self associated with the resource links. |
StringStringKeyValuePair
Represents a key value pair resource.
| Name | Type | Description |
|---|---|---|
| key |
string |
The key for the key value pair. |
| value |
string |
The value for the key value pair. |
System.Collections.Generic.KeyValuePair[System.String,System.String]
The collection of headers associated with this link.
| Name | Type | Description |
|---|---|---|
| key |
string |
The key for the key value pair. |
| value |
string |
The value for the key value pair. |